# DASetCoordinates

Sets into the DA a vector that indicates the coordinates of the local nodes (NOT including ghost nodes).

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DASetCoordinates(DA da,Vec c)

Not Collective

### Input Parameter

| da | - the distributed array
| c | - coordinate vector

### Note

The coordinates should NOT include those for all ghost points

Does NOT increase the reference count of this vector, so caller should NOT destroy the vector.

### Keywords

distributed array, get, corners, nodes, local indices, coordinates

### See Also

DAGetGhostCorners(), DAGetCoordinates(), DASetUniformCoordinates(). DAGetGhostCoordinates(), DAGetCoordinateDA()

Level:intermediate
Location: src/dm/da/src/dacorn.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages